Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
definitions
/
{version}
/
restore
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "status": "<string>",
  "actions": {},
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "webhook": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "secret": "<string>",
    "workflow_id": "<string>",
    "url": "<string>",
    "entrypoint_ref": "<string>",
    "allowlisted_cidrs": [
      "<string>"
    ],
    "filters": {},
    "methods": [],
    "include_headers": false,
    "api_key": {
      "preview": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "is_active": false
    }
  },
  "schedules": [
    {
      "id": "<string>",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "workflow_id": "<string>",
      "inputs": {},
      "cron": "<string>",
      "every": "<string>",
      "offset": "<string>",
      "start_at": "2023-11-07T05:31:56Z",
      "end_at": "2023-11-07T05:31:56Z",
      "timeout": 123
    }
  ],
  "entrypoint": "<string>",
  "returns": "<unknown>",
  "config": {
    "environment": "default",
    "timeout": 0
  },
  "version": 123,
  "expects": {},
  "expects_schema": {},
  "alias": "<string>",
  "git_sync_branch": "<string>",
  "error_handler": "<string>",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trigger_position_x": 0,
  "trigger_position_y": 0,
  "graph_version": 1
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

version
integer
required
Required range: x >= 1
workspace_id
string<uuid>
required
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+

Response

Successful Response

id
string
required
Pattern: wf_[0-9a-zA-Z]+
title
string
required
description
string
required
status
string
required
actions
Actions · object
required
workspace_id
string<uuid>
required
webhook
WebhookRead · object
required
schedules
ScheduleRead · object[]
required
entrypoint
string | null
required
returns
any
required
config
DSLConfig · object | null
required

This is the runtime configuration for the workflow.

Activities don't need access to this.

version
integer | null
expects
Expects · object | null
expects_schema
Expects Schema · object | null
alias
string | null
git_sync_branch
string | null
error_handler
string | null
folder_id
string<uuid> | null
trigger_position_x
number
default:0
trigger_position_y
number
default:0
graph_version
integer
default:1